Package com.collibra.dgc.core.api.dto.user

# Class AddUserToUserGroupsRequest

Object
AddUserToUserGroupsRequest

All Implemented Interfaces:
  `Serializable`

public class AddUserToUserGroupsRequest extends Object implements Serializable
The properties needed to add the user to given user groups.

See Also:
  - Serialized Form

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static final class`
  `AddUserToUserGroupsRequest.Builder`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `AddUserToUserGroupsRequest()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static AddUserToUserGroupsRequest.Builder`
  `builder()`
  `protected boolean`
  `canEqual(Object other)`
  `boolean`
  `equals(Object o)`
  `List<UUID>`
  `getUserGroupIds()`
  Required. The list of IDs of the user groups which the user should be assigned to.
  `UUID`
  `getUserId()`
  Required. The ID of the user who should be assigned to user groups.
  `int`
  `hashCode()`
  `void`
  `setUserGroupIds(List<UUID> userGroupIds)`
  Required. The list of IDs of the user groups which the user should be assigned to.
  `void`
  `setUserId(UUID userId)`
  Required. The ID of the user who should be assigned to user groups.
  `String`
  `toString()`

  ### Methods inherited from class Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### AddUserToUserGroupsRequest

    public AddUserToUserGroupsRequest()

- ## Method Details

  - ### builder

    public static AddUserToUserGroupsRequest.Builder builder()

  - ### getUserId

    public UUID getUserId()
    Required. The ID of the user who should be assigned to user groups.

    Silently ignored if the ID is provided as path parameter of the request.

  - ### getUserGroupIds

    public List<UUID> getUserGroupIds()
    Required. The list of IDs of the user groups which the user should be assigned to.

  - ### setUserId

    public void setUserId(UUID userId)
    Required. The ID of the user who should be assigned to user groups.

    Silently ignored if the ID is provided as path parameter of the request.

  - ### setUserGroupIds

    public void setUserGroupIds(List<UUID> userGroupIds)
    Required. The list of IDs of the user groups which the user should be assigned to.

  - ### equals

    public boolean equals(Object o)
    Overrides:
      `equals` in class `Object`

  - ### canEqual

    protected boolean canEqual(Object other)

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`